use std::str::FromStr;

use async_trait::async_trait;
use chrono::DateTime;

use crate::{
    adapter::gateway::post_db_service::PostDbService, application::error::post_error::PostError,
    domain::entity::post_info::PostInfo,
};

pub struct PostDbServiceImpl {}

impl PostDbServiceImpl {
    pub fn new() -> Self {
        Self {}
    }
}

#[async_trait]
impl PostDbService for PostDbServiceImpl {
    async fn get_all_post_info(&self) -> Result<Vec<PostInfo>, PostError> {
        Ok(vec![PostInfo {
            id: 1,
            title: "Post 1".to_string(),
            description: "Description of post 1".to_string(),
            preview_image_url: "http://example.com/image1.jpg".to_string(),
            labels: vec![],
            published_time: DateTime::from_str("2023-10-01T12:00:00Z").unwrap(),
        }])
    }
}
