use std::sync::Arc;

use actix_web::{HttpResponse, Responder, web};

use crate::adapter::controller::post_controller::PostController;

pub fn configure_post_routes(cfg: &mut web::ServiceConfig) {
    cfg.service(web::resource("/post_info").route(web::get().to(get_all_post_info)));
}

async fn get_all_post_info(post_controller: web::Data<Arc<dyn PostController>>) -> impl Responder {
    let result = post_controller.get_all_post_info().await;

    match result {
        Ok(post_info_list) => HttpResponse::Ok().json(post_info_list),
        Err(_) => HttpResponse::InternalServerError().finish(),
    }
}
